eu.smoser.dungeongenerator.util

## Class Dice

- java.lang.Object
- - eu.smoser.dungeongenerator.util.Dice

    public class Dice
    extends java.lang.Object

This class gives random dices

### Constructor Summary

Constructors
Constructor and Description
`Dice()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `Roll(int sides, int times)` Rolls a dice somes times, adds everything up and returns it

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dice

    public Dice()

### Method Detail

#### Roll

    public static int Roll(int sides,
                           int times)

Rolls a dice somes times, adds everything up and returns it

Parameters:
  `sides` - Number of sides of the dice
  `times` - Number of times to roll the dice
Returns:
  Sum of results